#!/bin/bash
SWAP=/dev/sda2
SYS=/dev/sda1
CHROOT=/mnt/gentoo
STAGE3=stage3-amd64-20170907.tar.bz2
SNAPSHOT=portage-20171006.tar.bz2
REPO=https://repo.jmanson.fr

mkfs.ext4 $SYS
mkswap $SWAP
swapon $SWAP
mount $SYS $CHROOT
wget $REPO/$STAGE3
wget $REPO/$SNAPSHOT

tar xjpf $STAGE3 -C $CHROOT  --xattrs --numeric-owner
tar xjpf $SNAPSHOT -C $CHROOT/usr
chmod 1777 $CHROOT/tmp
mount -t proc /proc $CHROOT/proc
mount --rbind /sys $CHROOT/sys
mount --make-rslave $CHROOT/sys
mount --rbind /dev $CHROOT/dev
mount --make-rslave $CHROOT/dev
test -L /dev/shm && rm /dev/shm && mkdir /dev/shm
mount -t tmpfs -o nosuid,nodev,noexec shm /dev/shm
chmod 1777 /dev/shm
echo "Europe/Paris" > $CHROOT/etc/timezone
cp /etc/resolv.conf $CHROOT/etc/resolv.conf

mirrorselect -i -o >> $CHROOT/etc/portage/make.conf #trouver l'astuce pour utiliser les mirroirs les plus rapides
mkdir $CHROOT/etc/portage/repos.conf
cp $CHROOT/usr/share/portage/config/repos.conf $CHROOT/etc/portage/repos.conf/gentoo.conf
# lancer "emerge --config sys-libs/timezone-data" dans le chroot
echo "fr_FR.UTF-8 UTF-8" >> $CHROOT/etc/locale.gen
# lancer "locale-gen" dans le chroot
echo 'LANG="fr_FR.UTF-8"' > /etc/env.d/02locale
echo 'LC_COLLATE="C"' >> /etc/env.d/02locale
